libpolkit-qt5-1-dev_0.112.0-5_i386.deb


Advertisement

Description

libpolkit-qt5-1-dev - PolicyKit-qt5-1 development files

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpolkit-qt5-1-dev
Package version 0.112.0
Package release 5
Package architecture i386
Package type deb
Installed size 135 B
Download size 18.75 KB
Official Mirror archive.ubuntu.com
PolicyKit is an application-level toolkit for defining and handling the policy
that allows unprivileged processes to speak to privileged processes.
It is a framework for centralizing the decision making process with respect to
granting access to privileged operations (like calling the HAL Mount() method)
for unprivileged (desktop) applications.
libpolkit-qt5-1 provides convenience classes and methods for Qt/KDE
applications that want to use PolicyKit-1.
This package contains the development libraries and headers.

Alternatives

Package Version Architecture Repository
libpolkit-qt5-1-dev_0.112.0-5_amd64.deb 0.112.0 amd64 Ubuntu Universe
libpolkit-qt5-1-dev - - -

Requires

Name Value
libpolkit-qt5-1-1 = 0.112.0-5
qtbase5-dev -

Download

Type URL
Binary Package libpolkit-qt5-1-dev_0.112.0-5_i386.deb
Source Package polkit-qt-1

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpolkit-qt5-1-dev deb package:
    # sudo apt-get install libpolkit-qt5-1-dev

Files

Path
/usr/include/polkit-qt5-1/polkitqt1-actiondescription.h
/usr/include/polkit-qt5-1/polkitqt1-agent-listener.h
/usr/include/polkit-qt5-1/polkitqt1-agent-session.h
/usr/include/polkit-qt5-1/polkitqt1-authority.h
/usr/include/polkit-qt5-1/polkitqt1-details.h
/usr/include/polkit-qt5-1/polkitqt1-export.h
/usr/include/polkit-qt5-1/polkitqt1-gui-action.h
/usr/include/polkit-qt5-1/polkitqt1-gui-actionbutton.h
/usr/include/polkit-qt5-1/polkitqt1-gui-actionbuttons.h
/usr/include/polkit-qt5-1/polkitqt1-identity.h
/usr/include/polkit-qt5-1/polkitqt1-subject.h
/usr/include/polkit-qt5-1/polkitqt1-temporaryauthorization.h
/usr/include/polkit-qt5-1/polkitqt1-version.h
/usr/include/polkit-qt5-1/PolkitQt1/ActionDescription
/usr/include/polkit-qt5-1/PolkitQt1/Authority
/usr/include/polkit-qt5-1/PolkitQt1/Details
/usr/include/polkit-qt5-1/PolkitQt1/Identity
/usr/include/polkit-qt5-1/PolkitQt1/Subject
/usr/include/polkit-qt5-1/PolkitQt1/TemporaryAuthorization
/usr/include/polkit-qt5-1/PolkitQt1/Agent/Listener
/usr/include/polkit-qt5-1/PolkitQt1/Agent/Session
/usr/include/polkit-qt5-1/PolkitQt1/Gui/Action
/usr/include/polkit-qt5-1/PolkitQt1/Gui/ActionButton
/usr/include/polkit-qt5-1/PolkitQt1/Gui/ActionButtons
/usr/lib/i386-linux-gnu/libpolkit-qt5-agent-1.so
/usr/lib/i386-linux-gnu/libpolkit-qt5-core-1.so
/usr/lib/i386-linux-gnu/libpolkit-qt5-gui-1.so
/usr/lib/i386-linux-gnu/cmake/PolkitQt5-1/PolkitQt5-1Config.cmake
/usr/lib/i386-linux-gnu/cmake/PolkitQt5-1/PolkitQt5-1ConfigVersion.cmake
/usr/lib/i386-linux-gnu/cmake/PolkitQt5-1/PolkitQt5-1Targets-debian.cmake
/usr/lib/i386-linux-gnu/cmake/PolkitQt5-1/PolkitQt5-1Targets.cmake
/usr/lib/i386-linux-gnu/pkgconfig/polkit-qt5-1.pc
/usr/lib/i386-linux-gnu/pkgconfig/polkit-qt5-agent-1.pc
/usr/lib/i386-linux-gnu/pkgconfig/polkit-qt5-core-1.pc
/usr/lib/i386-linux-gnu/pkgconfig/polkit-qt5-gui-1.pc
/usr/share/doc/libpolkit-qt5-1-dev/changelog.Debian.gz
/usr/share/doc/libpolkit-qt5-1-dev/copyright

Changelog

2016-03-04 - Maximiliano Curia <maxy@debian.org>
polkit-qt-1 (0.112.0-5) unstable; urgency=medium
* Apply the same Depends used in libpolkit-qt-1-1. (Closes: #800666)
Thanks to Michael Biebl
2015-08-08 - Maximiliano Curia <maxy@debian.org>
polkit-qt-1 (0.112.0-4) unstable; urgency=medium
* Update symbols files for gcc5 compatibility. (Closes: #791734)
Thanks to Martin Michlmayr
2015-06-27 - Maximiliano Curia <maxy@debian.org>
polkit-qt-1 (0.112.0-3) unstable; urgency=medium
* Fix my previous systemd dependency. Thanks to Ansgar Burchardt.
* Update watch file.
2015-01-25 - Maximiliano Curia <maxy@debian.org>
polkit-qt-1 (0.112.0-2) experimental; urgency=medium
* Add systemd as an alternative to the deprecated consolekit.
2015-01-25 - Maximiliano Curia <maxy@debian.org>
polkit-qt-1 (0.112.0-1) experimental; urgency=low
[ Iain Lane ]
* Add Depends on consolekit, since we're using its D-Bus API.
[ Felix Geyer ]
* Convert package to multiarch, based on a patch from Daniel Schaal.
(Closes: #636067)
* Bump Standards-Version to 3.9.4, no changes needed.
* Add watch file, thanks to Bart Martens.
[ Pino Toscano ]
* Simplify watch file.
* Bump priority from extra to optional.
* Fix Vcs-* headers.
[ Maximiliano Curia ]
* New upstream release (0.112.0).
* Bump debhelper compat and build dep to 9.
* Bump Standards-Version to 3.9.6, no changes needed.
* Add myself as Uploader.
* Add Homepage field.
* Add qt5 packages.
* Update install files.
* Update watch file.
* Set rules to build the source twice.
* Update copyright information.
* Add basic autopkgtests support.
* Update symbols files.
* Update build dependencies to follow cmake.
2011-12-14 - Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
polkit-qt-1 (0.103.0-1) unstable; urgency=low
* New upstream release.
- fix annoying crash on shutdown. (Closes: #651815)
[ Felix Geyer ]
* Modify CFLAGS/CXXFLAGS after including debian-qt-kde.mk so the changes are
not overwritten.
[ Fathi Boudra ]
* Update debian/compat: bump to 8.
2011-05-26 - Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
polkit-qt-1 (0.99.0-3) unstable; urgency=low
[ Modestas Vainius ]
* Update symbol files.
2011-04-28 - Modestas Vainius <modax@debian.org>
polkit-qt-1 (0.99.0-2) experimental; urgency=low
* Bump Standards-Version to 3.9.2: no changes needed.
* Build library with -fvisibility=hidden -fvisibility-inlines-hidden.
* Update symbol file: many private symbols are gone due to above.
2011-03-14 - Modestas Vainius <modax@debian.org>
polkit-qt-1 (0.99.0-1) experimental; urgency=low
* New upstream release.
[ Modestas Vainius ]
* Add Vcs fields to debian/control.
* Switch debian/rules engine to qt-kde-team/2/*.
* Bump Standards-Version to 3.9.1: no changes needed.
* Remove dupe "Section" field from debian/control.
* Include verbatim BSD license to debian/copyright.
* Override lintian libpolkit-qt-1-0: package-name-doesnt-match-sonames.
* Use more failsafe wildcards in libpolkit-qt-1-0.install.
* Add myself to Uploaders.
* SONAME bumped: rename libpolkit-qt-1-0 to libpolkit-qt-1-1.
* Add symbol file for libpolkit-qt-1-1.
* Update debian/copyright.
[ Didier Raboud ]
* Bump B-D of libpolkit to >= 0.98.
[ José Manuel Santamaría Lema ]
* Update installed files.
2010-01-15 - Fathi Boudra <fabo@debian.org>
polkit-qt-1 (0.95.1-1) unstable; urgency=low
* Initial release. (Closes: #565395)

See Also

Package Description
libpolled-camera-dev_1.11.11-3_i386.deb Robot OS polled_camera package - development
libpolled-camera0d_1.11.11-3_i386.deb Robot OS polled_camera package
libpolyclipping-dev_6.4.2-3_i386.deb polygon clipping, polygon offsetting and polyline offsetting library
libpolyclipping22_6.4.2-3_i386.deb polygon clipping, polygon offsetting and polyline offsetting library
libpolyglot-maven-java-doc_0.8~tobrien+git20120905-9_all.deb modules to enable Maven usage in others JVM languages - docs
libpolyglot-maven-java_0.8~tobrien+git20120905-9_all.deb modules to enable Maven usage in others JVM languages
libpolylib64-8_5.22.5-4+dfsg_i386.deb Polyhedral library - long int version
libpolylib64-dev_5.22.5-4+dfsg_i386.deb Development files for the long int version of PolyLib
libpolymake-dev-common_3.2r2-3_all.deb Tool for algorithmic discrete geometry -- common dev package
libpolymake-dev_3.2r2-3_i386.deb Tool for algorithmic discrete geometry -- development package
libpolymake3.2_3.2r2-3_i386.deb Tool for algorithmic discrete geometry -- library package
libpolyml-dev_5.7.1-1_i386.deb development files for Poly/ML, a compiler for Standard ML
libpolyml9_5.7.1-1_i386.deb runtime files for Poly/ML, a compiler for Standard ML
libpolyorb4-dev_2.11~20140418-4_i386.deb Multiple-personality middleware for Ada (development)
libpolyorb5_2.11~20140418-4_i386.deb Multiple-personality middleware for Ada
Advertisement
Advertisement